### Name: mer-class
### Title: Mixed Model Representations and *mer Methods
### Aliases: mer-class summary.mer-class anova,mer-method coef,mer-method
###   coerce,mer,dtCMatrix-method deviance,mer-method expand,mer-method
###   fitted,mer-method fitted,mer-method formula,mer-method
###   logLik,mer-method model.frame,mer-method model.matrix,mer-method
###   print,mer-method resid,mer-method residuals,mer-method
###   show,mer-method simulate,mer-method summary,mer-method
###   terms,mer-method update,mer-method vcov,mer-method with,mer-method
###   deviance,summary.mer-method logLik,summary.mer-method
###   vcov,summary.mer-method summary,summary.mer-method
### Keywords: classes

### ** Examples

(fm2 <- lmer(Reaction ~ Days + (1|Subject) + (0+Days|Subject),
             data = sleepstudy))
print(fm2, digits = 10, corr = FALSE) # more precision; no corr.matrix

logLik(fm2)
(V2 <- vcov(fm2))
terms(fm2)
str(model.matrix(fm2))
str(model.frame(fm2))
str(resid(fm2))

VarCorr(fm2)
ee <- expand(fm2)
op <- options(digits = 3)
tcrossprod(ee$sigma * ee$P %*% ee$T %*% ee$S)
options(op)

## Not run: 
##D ## Simulate 'Reaction' according to the fitted model:
##D dim(ss <- simulate(fm2, nsim = 200, seed = 101)) ## -> 180 x 200
## End(Not run)




