###################################################
### chunk number 1: preliminaries
###################################################
options(width=65,digits=5)
library(lme4)


###################################################
### chunk number 2: subj
###################################################
dat <- data.frame(subj = gl(4, 3, labels = LETTERS[1:4]))


###################################################
### chunk number 3: subjhead
###################################################
head(dat, n = 5)


###################################################
### chunk number 4: subjstr
###################################################
str(dat)


###################################################
### chunk number 5: trivialMM
###################################################
Zi <- model.matrix(~1, dat)


###################################################
### chunk number 6: trivialMMtrans
###################################################
t(Zi)


###################################################
### chunk number 7: extendedMM1
###################################################
t(as(dat$subj, "sparseMatrix"))


###################################################
### chunk number 8: extendedMM1t
###################################################
as(dat$subj, "sparseMatrix")


###################################################
### chunk number 9: Z1prep
###################################################
dat$time <- rep(1:3, 4)


###################################################
### chunk number 10: dathead
###################################################
head(dat, n = 5)


###################################################
### chunk number 11: Z1mat
###################################################
head(Zi <- model.matrix(~ time, dat), n = 5)


###################################################
### chunk number 12: Z1tilde
###################################################
tt <- ii <- as(dat$subj, "sparseMatrix")
tt@x <- as.numeric(dat$time)
rBind(ii, tt)


###################################################
### chunk number 13: asymorigmodel
###################################################
y ~ A*(1-exp(-rc*time)) ~ (A + rc|subj)


###################################################
### chunk number 14: asymorigmodel1
###################################################
y ~ A*(1-exp(-rc*time)) ~ A + rc + (A + rc - 1|subj)


